; coco main
	opt	forwardrefmax
#include	coco\main_lib.txt
#memstart	28672	;$7000
	org	$3000	;mem start?
start
; code here
	createsinetable()
	std	sinetable
	cls(#0,#0)


loop





	rnd(#0,#8)
	stb	col
	rnd(#0,#63)
	stb	x1
	rnd(#0,#31)
	stb	y1
	rnd(#0,#40)
	stb	dx1
	rnd(#0,#40)
	stb	dy1
	circle(#0,sinetable,x1,y1,dx1,dy1,#0,#255,col)








	lbra	loop




	rts	;return to basic


x1	fcb	0
y1	fcb	0
dx1	fcb	0
dy1	fcb	0
col	fcb	0
sinetable	fcb	0,0
; end of program
cocoromend

	end	start





